#ifndef __INCLUDES_H__
#define __INCLUDES_H__

//typedef int (*FPVOID)(void *param);

#define USB_BUFFER_SIZE 160
#define __DEVICE_ID__ "04"
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <stdarg.h>


#include <stdbool.h>
#include <limits.h>
#include <intrinsics.h>
#include <assert.h>
#include <nxp/iolpc1343.h>

//#include "LPC13xx.h"

#include <nxp/iolpc1343.h>
#include <assert.h>

#include "FreeRTOS.h"
#include "task.h"
#include "queue.h"
#include "semphr.h"

#include "arm_comm.h"
#include "board.h"


#include "usb_includes.h"
#include "gpio.h"
#include "lcd.h"
#include "inputs64.h"
#include "discrete_io.h"
#include "indication.h"

#define INFINITE     (0x7fffffff)

void app_main(void);
extern int  tx_enabled;




void start_up_task(void * pvParameters );


#define MALLOC pvPortMalloc
#define FREE   vPortFree


extern int usb_state;

#define COM_QUEUE_LENGTH         2


extern xQueueHandle com_queue,disp_queue;




#endif  // __INCLUDES_H__


