#ifndef __INPUTS64_H__
#define __INPUTS64_H__

#define INPUTS_INIT()  do{\
 LPC_GPIO0->DIR |=  (0x1<<7);\
 /*LPC_GPIO0->DIR &=  (0x1<<9);*/\
 LPC_GPIO2->DIR |=  (0x1<<11);\
\
 /*LPC_GPIO0->DATA &= ~(0x1<<7);*/\
 LPC_GPIO2->DATA &= ~(0x1<<11);\
} while(0)


#define LOAD_HIGH() LPC_GPIO0->DATA |=  (0x1<<7) 
#define LOAD_LOW()  LPC_GPIO0->DATA &= ~(0x1<<7) 

#define READ_PIN_SI()   (LPC_GPIO0->DATA & (0x1<<9))

#define SCK_HIGH() LPC_GPIO2->DATA |=  (0x1<<11) 
#define SCK_LOW()  LPC_GPIO2->DATA &= ~(0x1<<11) 

void inputs64_init(void);
long long get_inputs64(void);
int get_inputs64_bit(int bit);

#endif


